/*
 ************************************************************************************************
 *
 *  OSA cooperative RTOS for microcontrollers PIC (Microchip) and 8-bit AVR (Atmel)
 *
 *  OSA is distributed under BSD license (see license.txt)
 *
 *  URL:            http://wiki.pic24.ru/doku.php/en/osa/ref/intro
 *                  http://picosa.narod.ru
 *
 *----------------------------------------------------------------------------------------------
 *
 *  File:           osa_tasks.c
 *
 *  Compilers:      HT-PICC STD
 *                  HT-PICC PRO
 *                  HT-PICC18 STD
 *                  Microchip C18
 *                  Microchip C30
 *                  MikroC
 *                  CCS
 *                  WinAVR
 *                  IAR
 *
 *  Programmer:     Timofeev Victor
 *                  osa@pic24.ru, testerplus@mail.ru
 *
 *  Description:    Functions for tasks
 *
 *  History:        14.03.2010 -    File created
 *
 ************************************************************************************************
 */



