//******************************************************************************
//  
//  ATTENTION!
//
//  This program is not runnable. It written just to measure ROM and RAM statiscit
// 
// 
//
//******************************************************************************


#ifdef __PCM__
#include <16F628a.H>
#endif

#ifdef __PCH__
#include <18F252.H>
#endif

#include <osa.h>

#if defined(__OSAPICC16__) || defined(_OSAPICC12__)
#include <pic.h>
#endif

#ifdef __OSAPICC18__
#include <pic18.h>
#endif

#ifdef __OSAMCC18__
#include <p18f242.h>
#endif

#ifdef __OSAWINAVR__
#include <avr/io.h>
#include <avr/interrupt.h>
#endif

#ifdef __OSAIARAVR__
#include <ioavr.h>
#include <intrinsics.h>


#endif


#ifdef OS_ENABLE_ALL
    OST_QUEUE   queue;
    OST_MSG     msg;
#endif


void Task (void)
{
}

//------------------------------------------------------------------------------
void main (void)
{
    OS_Init();

    // Make calls to be sure that code of functions 
    // was included into resulting hex.
    
    #ifdef OS_ENABLE_ALL
        OS_Queue_Send_Now(queue, msg);
        OS_Queue_Accept(queue, msg);
    #endif

    #ifdef OS_ENABLE_TTIMERS
        _OS_InitDelay(0);
        OS_Timer();
    #endif

    OS_Task_Create_M(0, Task);
    OS_Yield();
    _OS_WAIT_EVENT(OS_DI());


    OS_Run();
}

